Package it.ernytech.tdlib

## Class TdApi.GetGroupsInCommon

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetGroupsInCommon

Enclosing class:
  TdApi

    public static class TdApi.GetGroupsInCommon
    extends TdApi.Function

Returns a list of common chats with a given user. Chats are sorted by their type and creation date.

Returns `Chats`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `limit` Maximum number of chats to be returned; up to 100.
`long` `offsetChatId` Chat identifier starting from which to return chats; use 0 for the first request.
`int` `userId` User identifier.

### Constructor Summary

Constructors
`GetGroupsInCommon()` Default constructor.
`GetGroupsInCommon​(int userId, long offsetChatId, int limit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### userId

    public int userId

User identifier.

#### offsetChatId

    public long offsetChatId

Chat identifier starting from which to return chats; use 0 for the first request.

#### limit

    public int limit

Maximum number of chats to be returned; up to 100.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetGroupsInCommon

    public GetGroupsInCommon()

Default constructor.

#### GetGroupsInCommon

    public GetGroupsInCommon​(int userId,
                             long offsetChatId,
                             int limit)

Constructor for initialization of all fields.

Parameters:
  `userId` - User identifier.
  `offsetChatId` - Chat identifier starting from which to return chats; use 0 for the first request.
  `limit` - Maximum number of chats to be returned; up to 100.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR